using System;

class Beleuchtung
{

    static void Main()
    {
        int intensity = 0;       // Lichtstärke in Candula
        double radius = 0;       // Abstand in Meter
        double illuminance = 0;  // Beleuchtungsstärke in Lux

        try
        {
            Console.Write("\n Geben Sie die Lichtstärke der Lichtquelle ein: ");
            intensity = Convert.ToInt32(Console.ReadLine());

            Console.Write("\n Geben Sie den Abstand zur Lichtquelle ein: ");
            radius = Convert.ToDouble(Console.ReadLine());


            illuminance = intensity / (radius * radius);


            Console.WriteLine("\n Erreichte Beleuchtungsstärke {0:F} Lux",
                              illuminance);
        }
        catch (FormatException)
        {
            Console.WriteLine("\n Falsches Eingabeformat. Keine Zahl!");
        }
    }
}

